Loading...
Searching...
No Matches
osmo_mnl Struct Reference

osmocom wrapper around libmnl abstraction of netlink socket More...

`#include <mnl.h>`

## Data Fields

struct osmo_fd | ofd
| osmo-wrapped netlink file descriptor
struct mnl_socket * | mnls
| libmnl socket abstraction
mnl_cb_t | mnl_cb
| call-back called for received netlink messages
void * | priv
| opaque data provided by user

## Detailed Description

osmocom wrapper around libmnl abstraction of netlink socket

## Field Documentation

## mnl_cb

mnl_cb_t osmo_mnl::mnl_cb

call-back called for received netlink messages

Referenced by osmo_mnl_init().

## mnls

struct mnl_socket* osmo_mnl::mnls

libmnl socket abstraction

## ofd

struct osmo_fd osmo_mnl::ofd

osmo-wrapped netlink file descriptor

Referenced by osmo_mnl_fd_cb().

## priv

void* osmo_mnl::priv

opaque data provided by user

Referenced by osmo_mnl_init().

The documentation for this struct was generated from the following file:

- include/osmocom/core/mnl.h